<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;

use App\Models\Album;
use App\Models\DownloadCategory;
use App\Models\Photo;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class DownloadCategoryController extends Controller
{
    public function index(){
        $data = DownloadCategory::get();
        return view('backend.downloadCategory.index',['data' => $data]);
    }

    // public function show(){
    //     return view('backend.downloadCategory.show');
    // }

    public function create(){
        return view('backend.downloadCategory.add');
    }

    public function store(Request $request){
        $data = $request->validate([
            'title' => 'required|string|max:255',
            'sort_order' => ''
        ]);
        
        $data['sort_order'] = request()->sort_order??1;
        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }

        DownloadCategory::create($data);
        return redirect()->route('admin.download-categories.index')->with('success','Category created successfully.');
    }

    public function edit(DownloadCategory $downloadCategory)
    {
        return view('backend.downloadCategory.edit',['data' => $downloadCategory]);
    }

    public function update(Request $request,$id)
    {
        $data = $request->validate([
            'title' => 'required|string|max:255',
            'sort_order' => ''
        ]);
        $data['sort_order'] = request()->sort_order??1;

        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }


        DownloadCategory::where('id',$id)->update($data);
        return redirect()->route('admin.download-categories.index')->with('success','Category has been updated successfully.');
        // return redirect()->route('manageAlbums')->with('success', 'Album updated successfully');
    }

    public function destroy($id)
    {
        DownloadCategory::where('id',$id)->delete();

        return redirect()->route('admin.download-categories.index')->with('success','Category has been deleted successfully.');

    }

    // public function getAlbumImages($albumId){
    //     $photos = Photo::where('album_id',$albumId)->orderBy('clickedDate', 'asc')->get();
    //     $album = DownloadCategory::where('id',$albumId)->first();
    //     return view('photos.downloadCategory',compact('photos','albumId','album'));
    // }


    // public function getAllAlbums():JsonResponse{
    //     $albums = DownloadCategory::all();
    //     return response()->json(['albums'=>$albums]);
    // }

    // public function getAlbumWithPhotos($albumId):JsonResponse{
    //     $album = DownloadCategory::with('photos')->find($albumId);
    //     if(!$album){
    //         return response()->json(['error'=>'Album not found']);
    //     }
    //     return response()->json(['album'=>$album]);
    // }
}
