<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\Facility;
use Illuminate\Http\Request;

class FacilityController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data['data'] = Facility::first();
        if (!empty($data['data'])) {
            $data['action'] = "Edit";
            return view('backend.facility.edit', $data);

        } else {
            $data['action'] = "Add";
            return view('backend.facility.create', $data);

        }
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('backend.facility.add');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // dd($request);
        $data = request()->validate([
            'name' => 'required',
            'description' => 'required',
        ]);
        Facility::create($data);
                return redirect()->route('admin.facility.index')->with('success','New Facility created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(Facility $facility)
    {
        return view('backend.facility.show',['data' => $facility]);
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Facility $facility)
    {
        return view('backend.facility.edit',['data' => $facility]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
    {
        $data = request()->validate([
            'name' => 'required',
            'description' => 'required',
        ]);
        $update = Facility::where('id', $id)->update($data);
        return redirect()->route('admin.facility.index')->with('success','Facility updated successfully.');
    }


    /**
     * Remove the specified resource from storage.
     */
    // public function destroy(Facility $facility)
    // {
    //     $facility->delete();
    //     return redirect()->route('admin.facility.index')->with('success','Facility has been deleted successfully.');
    // }
}
