<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\Faq;
use Illuminate\Http\Request;

class FaqController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data['data'] = Faq::get();
        return view('backend.faqs.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('backend.faqs.add');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // dd($request);
        $data = request()->validate([
            'question' => 'required',
            'description' => 'required',
        ]);
        $data['sort_order'] = request()->sort_order??1;
        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }
        Faq::create($data);
                return redirect()->route('admin.faqs.index')->with('success','New Faq created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(Faq $faq)
    {
        return view('backend.faqs.show',['data' => $faq]);
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Faq $faq)
    {
        return view('backend.faqs.edit',['data' => $faq]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
    {
        $data = request()->validate([
            'question' => 'required',
            'description' => 'required',
        ]);
        $data['sort_order'] = request()->sort_order??1;
        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }

        $update = Faq::where('id', $id)->update($data);
        return redirect()->route('admin.faqs.index')->with('success','Faq updated successfully.');
    }


    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Faq $faq)
    {
        //     if(file_exists(Storage::url($faqs->image)))
        //     Storage::delete($faqs->image);
        $faq->delete();
        return redirect()->route('admin.faqs.index')->with('success','Faq has been deleted successfully.');
    }
}
