<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;

use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\View\View;
use App\Models\GeneralSetting;
use Illuminate\Support\Facades\Storage;
use App\Traits\UploadTrait;
use Illuminate\Contracts\Cache\Store;

class GeneralSettingController extends Controller
{

    use UploadTrait;

    private $fileUploadLocation = '/uploads/general/';
        /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(): View
    {
        $data['data'] = GeneralSetting::select('*')
        ->first();
        if (!empty($data['data'])) {
            $data['action'] = "Edit";
        } else {
            $data['action'] = "Add";
        }
        return view('backend.setting.formGeneralSettings', $data);
    }

   

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //tags
        $data['action'] = "Add";
        return view('admin.setting.formGeneralSettings', $data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = request()->validate([
            'college_name' => 'required',
            'address' => 'required',
            'phone_no' => 'required',
            'map_link' => 'required',   
            'fb_link' => '',
            'instagram_link' => '',
            'yt_link' => '',
            'timing' => '',
            'contact_email' => 'required'
        ]);

        // $image = request()->file('logo');
        // if (request()->hasFile('logo')) {
        //     $image = request()->validate([
        //         'logo' => 'mimes:jpeg,png,jpg,gif,svg',
        //     ]);
        //     // $feature_image = $image->getClientOriginalExtension() . str_random() .'.'.$image->getClientOriginalExtension();
        //     // $image->move(public_path('/assets/uploads/general/'), $feature_image);
        //     $path = Storage::disk('publicpath')->putFile('assets/uploads/general', $request->file('logo'));
        //     $data['logo'] = $path;
        // }
        if (request()->hasFile('logo')) {
            $data['logo'] = $this->uploadOne(request()->file('logo'), $this->fileUploadLocation); 
        }
        GeneralSetting::create($data);

        //Article_tag::insert($insert);
        // if (request()->has('again')) {
        //     return redirect('/myadmin/generalsettings/addGeneralsettings')->with('success', 'Data has been inserted.');
        // } else {
                return redirect()->route('admin.general-setting.index')->with('success','Settings saved successfully.');
        // }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //tags
        $data['data'] = GeneralSetting::select('*')
            ->first();

        $data['action'] = "Edit";

        return view('backend.setting.formGeneralSettings', $data);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = request()->validate([
            'college_name' => 'required',
            'address' => 'required',
            'phone_no' => 'required',
            'map_link' => 'required',
            'fb_link' => '',
            'twitter_link' => '',
            'yt_link' => '',
            'timing' => '',
            'contact_email' => 'required'
        ]);

        if (request()->hasFile('logo')) {

            // if($request->has('old_logo')){
            //     if(file_exists(Storage::url($request->old_logo)))
            //     Storage::delete($request->old_logo);
            // }
            $data['logo'] = $this->uploadOne(request()->file('logo'), $this->fileUploadLocation); 
            // Storage::delete($avatar->filename)
          
        }

        $update = GeneralSetting::where('id', $id)->update($data);
        return redirect()->route('admin.general-setting.index')->with('success','Settings saved successfully.');

        // if (request()->has('again') && request()->input('again') == '1') {
        //     return redirect('/myadmin/generalsettings/editGeneralsettings/' . $id)->with('success', 'Data has been Updated.');
        // } else {
        //     return redirect('/myadmin/generalsettings')->with('success', 'Data has been Updated.');
        // }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        
    }
}
