<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\Qc;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class QcController extends Controller
{
    public function index(){
        $data['data'] = Qc::first();
        if (!empty($data['data'])) {
            $data['action'] = "Edit";
        } else {
            $data['action'] = "Add";
        }
        return view('backend.qc.formQc', $data);
    }

    public function store(Request $request)
    {
        $data = request()->validate([
            'email'=>'required',
            'password'=>'required'
        ]);
        $data['password'] = Hash::make($data['password']);
        $user = Qc::create($data);
        return redirect()->route('admin.qc.index')->with('success','User created successfully.');
    }

    public function update(Request $request)
    {
        $data = request()->validate([
            'email'=>'required',
            'password'=>'required'
        ]);
        $data['password'] = Hash::make($data['password']);
        $user = Qc::first();
        $user->update($data);
        return redirect()->route('admin.qc.index')->with('success','User updated successfully.');
    }
    //todo: admin login form
    public function login()
    {
        return view('admin.login-form');
    }

    //todo: admin login functionality
    public function login_functionality(Request $request){
        $request->validate([
            'email'=>'required',
            'password'=>'required',
        ]);

        if (Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password])) {
            return redirect()->route('dashboard');
        }else{
            Session::flash('error-message','Invalid Email or Password');
            return back();
        }
    }

    public function dashboard()
    {
        return view('admin.dashboard');
    }


    //todo: admin logout functionality
    public function logout(){
        Auth::guard('admin')->logout();
        return redirect()->route('login.form');
    }
}
