<?php

namespace App\Providers;

use App\Models\AboutUs;
use App\Models\Academic;
use App\Models\AcademicCategory;
use App\Models\GeneralSetting;
use App\Models\Metatag;
use App\Models\Notice;
use App\Models\Qaa;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        view()->composer('frontend.*',function($view) {
            $metatag = Metatag::first();
            $marquee = Notice::where('active',1)->orderBy('sort_order','ASC')->orderBy('published_date','DESC')->limit(5)->get();
            $academicCategory = AcademicCategory::whereHas('academics')->with('academics')->where('active',1)->get();
            $qaa_menu = Qaa::where('active',1)->get();
            if($academicCategory->isEmpty()){
                $academic = Academic::where('active',1)->get();
                $view->with('academic', $academic);
            }
            $view->with('marquee', $marquee);
            $view->with('metatag', $metatag);
            $view->with('qaa_menu', $qaa_menu);
            $view->with('academicCategory', $academicCategory);
            $view->with('setting', GeneralSetting::first());
            $view->with('aboutUs', AboutUs::first());
        });
    }
}
