@extends('backend.layouts.master')

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>

        <div class="card mb-4">
            <div class="card-header"><strong>Contact</strong><span class="small ms-1">List of Contact</span>

            </div>
            <div class="card-body">
                <div class="example">
                    <div class="tab-content rounded-bottom">
                        <div class="p-3 preview">
                            <table class="table table-striped" id="dataTable">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Full Name</th>
                                        <th scope="col">Email</th>
                                        <th scope="col">Subject</th>
                                        <th scope="col">Message</th>
                                        <th scope="col">Date</th>
                                        <th scope="col"><span class="float-end">Action</span></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($data as $k=>$v)
                                    <tr>
                                        <th scope="row">{{++$k}}</th>
                                        <td>{{$v->fullname}}</td>
                                        <td>{{$v->email}}</td>
                                        <td>{{$v->subject}}</td>
                                        <td>{!!Str::words(strip_tags($v->message),20,'...')!!}</td>
                                        <td>{{$v->created_at->format('Y-M-d')}}</td>
                                        <td>
                                            <form action="{{ route('admin.contact.destroy',$v->id) }}" method="Post">
                                                @csrf
                                                @method('DELETE')
                                                <button class="btn btn-danger btn-sm float-end" style="margin-right:2px;">
                                                    <svg class="icon">
                                                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-trash') }}"></use>
                                                    </svg>
                                                </button>
                                            </form>

                                            <a class="btn btn-info btn-sm float-end" style="margin-right:2px;" href="{{route('admin.contact.show',$v->id)}}">
                                                <svg class="icon">
                                                    <use xlink:href="{{ asset('backend/icons/free.svg#cil-search') }}"></use>
                                                </svg>
                                            </a>


                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@endsection
