@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.contact.index')}}">Contact</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Contact</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Contact</strong><span class="small ms-1">Contact</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">

                                    <div class="">
                                        <div class="mb-3">
                                            <label class="form-label" for="fullname">Full Name</label>
                                            @error('fullname')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="fullname" type="text" name="fullname" placeholder="Full Name " value="{{@$data->fullname}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Email</label>
                                            @error('email')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="email" type="text" name="email" placeholder="Email " value="{{@$data->email}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Subject</label>
                                            @error('subject')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="subject" type="text" name="subject" placeholder=" Subject " value="{{@$data->subject}}" disabled="">
                                        </div>
                                    </div>


                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="message">Message</label>
                                    @error('message')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <textarea class="form-control" name="message" id="message" rows="5" required="" disabled="" >{{strip_tags(@$data->message)}}</textarea>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
