@extends('backend.layouts.master')

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>

        <div class="card mb-4">
            <div class="card-header"><strong>File list</strong><span class="small ms-1">List of Download Files</span>
                <a class="btn btn-primary btn-sm float-end" href="{{route('admin.downloads.create')}}">     
                    <svg class="icon me-2">
                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-plus') }}"></use>
                    </svg><strong>Add</strong>
                </a>
            </div>
            <div class="card-body">
                <div class="example">
                    <div class="tab-content rounded-bottom">
                        <div class="p-3 preview">
                            <table class="table table-striped" id="dataTable">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">File</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Upload date</th>
                                        <th scope="col">Category</th>
                                        <th scope="col">Published</th>
                                        <th scope="col">Sort order</th>
                                        <th scope="col"><span class="float-end">Action</span></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($data as $k=>$v)
                                    <tr>
                                        <th scope="row">{{++$k}}</th>
                                        <td>  
                                            <form action="{{route('frontend.downloadFile')}}" method="Post">
                                                @csrf
                                                <input type="hidden" name="file" value="{{$v->file}}" />
                                                <input type="hidden" name="name" value="{{$v->title}}" />
                                                <button class="btn btn-success btn-sm float-end" style="margin-right:2px;">     
                                                    Download File
                                                    <svg class="icon">
                                                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-cloud-download') }}"></use>
                                                    </svg>
                                                </button>
                                            </form>
                                        </td>
                                        {{-- <a href="{{route('frontend.download',['file'=>$v->file,'name'=>$v->title])}}">Download File</a></td> --}}
                                        <td>{{$v->title}}</td>
                                        <td>{{$v->uploaded_date}}</td>
                                        <td>{{@$v->category->title}}</td>
                                        <td>{{$v->active?'Yes':'No'}}</td>
                                        <td>
                                            <form action="{{ route('admin.downloads.destroy',$v->id) }}" method="Post">
                                                @csrf
                                                @method('DELETE')
                                                <button class="btn btn-danger btn-sm float-end" style="margin-right:2px;">     
                                                    <svg class="icon">
                                                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-trash') }}"></use>
                                                    </svg>
                                                </button>
                                            </form>
                                            <a class="btn btn-warning btn-sm float-end" style="margin-right:2px;" href="{{route('admin.downloads.edit',$v->id)}}">     
                                                <svg class="icon">
                                                    <use xlink:href="{{ asset('backend/icons/free.svg#cil-pencil') }}"></use>
                                                </svg>
                                            </a>
                                            {{-- <a class="btn btn-info btn-sm float-end" style="margin-right:2px;" href="{{route('admin.downloads.show',$v->id)}}">     
                                                <svg class="icon">
                                                    <use xlink:href="{{ asset('backend/icons/free.svg#cil-search') }}"></use>
                                                </svg>
                                            </a> --}}
                                            
                                         
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@endsection
