@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.events.index')}}">Events</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Edit Events</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Edit Events</strong><span class="small ms-1">Events</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.events.update',$data->id) }}" method="post" enctype="multipart/form-data">
                            @method('PUT')
                            @csrf
                                <div class="p-3 preview">
                                    {{-- @dd($errors) --}}
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label" for="image">Events Image<span style="color:red;">*</span></label>
                                            @error('image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                            @if(@$data->image)
                                            <input name="old_image" type="hidden" value="{{@$data->image}}">
                                            @endif
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="title">Title<span style="color:red;">*</span></label>
                                                @error('title')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="title" type="text" name="title" placeholder="Event Title" value="{{@$data->title}}" required="">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="event_date">Event Date</label>
                                                @error('event_date')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="event_date" type="date" name="event_date" placeholder="Event Date" value="{{@$data->event_date??date('Y-m-d')}}">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="event_time">Event Time</label>
                                                @error('event_time')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="event_time" type="text" name="event_time" value="{{@$date->event_time??date('H:i')}}" placeholder='Event Time' />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="location">Event Location<span style="color:red;">*</span></label>
                                        @error('location')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="location" type="text" name="location" placeholder="Event Location" value="{{@$data->location}}" required="">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="description">Description</label>
                                        @error('description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="description" id="description" rows="3" >{!!@$data->description!!}</textarea>
                                    </div>

                                    <div class="mb-3">
                                        <label class="form-label" for="map_link">Event Map link</label>
                                        @error('map_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="map_link" type="text" name="map_link" placeholder="Event Map Link" value="{{@$data->map_link}}" >
                                    </div>
                                   
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                                    </div>

                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the event will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                                    </div>                             
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection