@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.news.index')}}">News</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View News</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View News</strong><span class="small ms-1">News</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            
                            <div class="p-3 preview">
                                <div class="row">
                                    <div class="col-6">
                                        <label class="form-label" for="image">News Image<span style="color:red;">*</span></label>
                                        @error('image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif disabled=""/>
                                        @if(@$data->image)
                                        <input name="old_image" type="hidden" value="{{$data->image}}" disabled="">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="title">Title</label>
                                            @error('title')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="title" type="text" name="title" placeholder="News Title" value="{{@$data->title}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="author"> Author </label>
                                            @error('author')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="author" type="text" name="author" placeholder="Author" value="{{@$data->author}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="published_date"> Published Date </label>
                                            @error('published_date')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="published_date" type="date" name="published_date" placeholder="Published date" value="{{@$data->published_date??date('m-d-Y')}}" disabled="">
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="description">Description</label>
                                    @error('description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{{@$data->description}}</textarea>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="sort_order">Sort Order</label>
                                    @error('sort_order')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order" disabled="">
                                </div>

                                <div class="form-check mb-3">
                                    <label class="form-check-label" for="active">
                                        Publish <span style="color:green;">If checked the news will be published.</span>
                                    </label>
                                    <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active" disabled="">
                                </div>                                   
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
