@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.faqs.index')}}">Faqs</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Add Faqs</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Add Faq</strong><span class="small ms-1">Faqs</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form  action="{{ route('admin.faqs.store') }}" method="post">
                                @csrf
                                <div class="p-3 preview">
                                    <div class="row">

                                        <div class="">
                                            <div class="mb-3">
                                                <label class="form-label" for="question">Question<span style="color:red;">*</span></label>
                                                @error('question')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="question" type="text" name="question" placeholder="Faq Question " value="{{old('question')}}" required="">
                                            </div>


                                        </div>

                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="description">Description<span style="color:red;">*</span></label>
                                        @error('description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="description" id="description" rows="3" >{{old('description')}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{old('sort_order')??'1'}}" placeholder="Sorting Order">
                                    </div>
                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the faq will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" checked="" value="1" id="active">
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
