@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.faqs.index')}}">Faqs</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Faqs</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Faqs</strong><span class="small ms-1">Faqs</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">

                                    <div class="">
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Question</label>
                                            @error('name')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="name" type="text" name="question" placeholder="Faq Question " value="{{@$data->question}}" disabled="">
                                        </div>

                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="description">Description</label>
                                    @error('description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{{@$data->description}}</textarea> --}}

                                    <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{!!strip_tags(@$data->description)!!}</textarea>
                                </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
