@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.metatags.index')}}">Metatags</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Metatags</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Metatags</strong><span class="small ms-1">Metatags</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">
                                    <div class="col-6">
                                        <label class="form-label" for="image"> Image<span style="color:red;">*</span></label>
                                        @error('image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif disabled=""/>
                                        @if(@$data->image)
                                        <input name="old_image" type="hidden" value="{{$data->image}}" disabled="">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="title">Meta Title</label>
                                            @error('title')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="title" type="text" name="title" placeholder="Metatags Title" value="{{@$data->title}}" disabled="">
                                        </div>

                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="description">Meta Description</label>
                                    @error('description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{{@$data->description}}</textarea> --}}

                                    <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{!!strip_tags(@$data->description)!!}</textarea>
                                </div>
                                <div class="">
                                    <div class="mb-3">
                                        <label class="form-label" for="canonical">Caoinical URL</label>
                                        @error('canonical')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="canonical" type="text" name="canonical" placeholder="Canonical URL" value="{{@$data->canonical}}" disabled="">
                                    </div>

                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
