@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.notices.index')}}">Notices</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Notices</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Notices</strong><span class="small ms-1">Notices</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">
                                    <div class="col-6">
                                        <label class="form-label" for="image">Notice Image<span style="color:red;">*</span></label>
                                        @error('image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif disabled=""/>
                                        @if(@$data->image)
                                        <input name="old_image" type="hidden" value="{{$data->image}}" disabled="">
                                        @endif
                                    </div>
                                    {{-- <div class="col-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Full Name</label>
                                            @error('name')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="name" type="text" name="name" placeholder="Notices Title" value="{{@$data->name}}" disabled="">
                                        </div>

                                    </div> --}}
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="description">First Description</label>
                                    @error('first_description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{{@$data->description}}</textarea> --}}

                                    <textarea class="form-control" name="first_description" id="first_description" rows="5" required="" disabled="">{!!strip_tags(@$data->first_description)!!}</textarea>
                                </div>

                                <div class="mb-3">
                                    <label class="form-label" for="second_description">Second Description</label>
                                    @error('second_description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="description" id="description" rows="5" required="" disabled="">{{@$data->description}}</textarea> --}}

                                    <textarea class="form-control" name="second_description" id="second_description" rows="5" required="" disabled="">{!!strip_tags(@$data->second_description)!!}</textarea>
                                </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
