@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Organization Structure</span>
        </li>
    </ol>
</nav>

@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>@if($action=="Edit")Edit @else Add @endif Organization Structure</strong><span class="small ms-1">Organization Structure</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            @if($action=="Edit")
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.organization-structure.update',$data->id) }}" method="post" enctype="multipart/form-data">
                                @method('PUT')
                            @else
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.organization-structure.store') }}" method="post" enctype="multipart/form-data">
                            @endif
                            @csrf
                                <div class="p-3 preview">                                    
                                    <div class="mb-3">
                                        <label class="form-label" for="title">Title <span style="color:red;">*</span></label>
                                        @error('title')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="title" type="text" name="title" value="{{@$data->title}}" placeholder="Title" >
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="description">Description <span style="color:red;">*</span></label>
                                        @error('description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="description" id="description" rows="4" >{{@$data->description}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="image">Organization Structure Image <span style="color:red;">*</span></label>
                                        @error('image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                        @if(@$data->image)
                                        <input name="old_image" type="hidden" value="{{$data->image}}">
                                        @endif
                                    </div>                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    // document.querySelectorAll('.texteditor').forEach(editor => {
    //     BalloonEditor
    //         .create(editor)
    //         .catch(error => {
    //             console.error(error);
    //     });
    // });
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
