@extends('backend.layouts.master')

@section('breadcrumbs')
<script>
    function toggleTeamLevel() {
        var teamType = document.getElementById("team_type").value;
        var teamLevelDiv = document.getElementById("team_level_div");

        if (teamType === "Faculty") {
            teamLevelDiv.style.display = "block";
        } else {
            teamLevelDiv.style.display = "none";
        }
    }

    window.onload = function() {
        toggleTeamLevel(); // Initialize visibility on page load
    }
</script>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.teams.index')}}">Teams</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Edit Teams</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Edit Teams</strong><span class="small ms-1">Teams</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.teams.update',$data->id) }}" method="post" enctype="multipart/form-data">
                            @method('PUT')
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label" for="image">Teams Image<span style="color:red;">*</span></label>
                                            @error('image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                            @if(@$data->image)
                                            <input name="old_image" type="hidden" value="{{$data->image}}">
                                            @endif
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="name">Name</label>
                                                @error('name')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="name" type="text" name="name" placeholder="Full Name" value="{{@$data->name}}">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="email">Email</label>
                                                @error('email')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="email" type="text" name="email" placeholder="Email" value="{{@$data->email}}">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="phone">Phone</label>
                                                @error('phone')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="phone" type="number" name="phone" placeholder="Phone Number" value="{{@$data->phone}}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="designation">Designation</label>
                                        @error('designation')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="designation" type="text" name="designation" placeholder="Designation" value="{{@$data->designation}}">
                                    </div>

                                    <div class="mb-3">
                                        <label class="form-label" for="team_type">Team Type <span class="imp">*</span></label>
                                        <select class="form-control" id="team_type" name="team_type" onchange="toggleTeamLevel()">
                                            <option disabled>Select option</option>
                                            <option value="Management" {{ old('team_type', $data->team_type) == 'Management' ? 'selected' : '' }}>Management Team</option>
                                            <option value="Faculty" {{ old('team_type', $data->team_type) == 'Faculty' ? 'selected' : '' }}>Faculty Team</option>
                                            <option value="Staff" {{ old('team_type', $data->team_type) == 'Staff' ? 'selected' : '' }}>Non Teaching Staff Team</option>
                                        </select>
                                    </div>

                                    <div id="team_level_div" class="mb-3" style="display: none;">
                                        <label class="form-label" for="team_level">Team Level</label>
                                        <select class="form-control" name="team_level" id="team_level">
                                            <option value="pre-primary" {{ old('team_level', $data->team_level) == 'pre-primary' ? 'selected' : '' }}>Pre-Primary</option>
                                            <option value="primary" {{ old('team_level', $data->team_level) == 'primary' ? 'selected' : '' }}>Primary</option>
                                            <option value="secondary" {{ old('team_level', $data->team_level) == 'secondary' ? 'selected' : '' }}>Secondary</option>
                                        </select>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                                    </div>
                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the team will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
        // Ensure team level div is displayed if Faculty is already selected
        document.addEventListener("DOMContentLoaded", function() {
        toggleTeamLevel();
    });

</script>

@endsection
