@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.teams.index')}}">Teams</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Teams</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Teams</strong><span class="small ms-1">Teams</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">
                                    <div class="col-6">
                                        <label class="form-label" for="image">Teams Image<span style="color:red;">*</span></label>
                                        @error('image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif disabled=""/>
                                        @if(@$data->image)
                                        <input name="old_image" type="hidden" value="{{$data->image}}" disabled="">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Full Name</label>
                                            @error('name')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="name" type="text" name="name" placeholder="Teams Title" value="{{@$data->name}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="email">Email</label>
                                            @error('email')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="email" type="text" name="email" placeholder="Teams Title" value="{{@$data->email}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="phone">Phone</label>
                                            @error('phone')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="phone" type="text" name="phone" placeholder="Teams Title" value="{{@$data->phone}}" disabled="">
                                        </div>

                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="designation">Designation</label>
                                    @error('designation')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="designation" id="designation" rows="5" required="" disabled="">{{@$data->designation}}</textarea> --}}

                                    <input class="form-control" id="designation" type="text" name="designation" placeholder="Designation" value="{{@$data->designation}}" disabled="">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="team_type">Team Type</label>
                                    @error('team_type')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    {{-- <textarea class="form-control" name="team_type" id="team_type" rows="5" required="" disabled="">{{@$data->team_type}}</textarea> --}}

                                    <input class="form-control" id="team_type" type="text" name="team_type" placeholder="Teams Type" value="{{@$data->phone}}" disabled="">
                                </div>
                                @if($data->team_level != null)
                                <div class="mb-3">
                                    <label class="form-label" for="team_level">Team Level</label>
                                    @error('team_level')
                                        <span style="color: red; font-size: 13px; font-style: italic;">{{ $message }}</span>
                                    @enderror

                                    <input style="text-transform: capitalize" class="form-control " id="team_level" type="text" name="team_level" placeholder="Team Level" value="{{ $data->team_level }}" disabled="">
                                </div>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
