<?php

use App\Http\Controllers\Backend\AboutUsController;
use App\Http\Controllers\Backend\AlbumController;
use App\Http\Controllers\Backend\BannerController;
use App\Http\Controllers\Backend\DashboardController;
use App\Http\Controllers\Backend\GeneralSettingController;
use App\Http\Controllers\Backend\PhotoController;
use App\Http\Controllers\Frontend\FrontendController;
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use App\Http\Controllers\Auth\ConfirmablePasswordController;
use App\Http\Controllers\Auth\PasswordController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\EmailVerificationNotificationController;
use App\Http\Controllers\Auth\EmailVerificationPromptController;
use App\Http\Controllers\Auth\NewPasswordController;
use App\Http\Controllers\Auth\PasswordResetLinkController;
use App\Http\Controllers\Auth\RegisteredUserController;
use App\Http\Controllers\Auth\VerifyEmailController;
use App\Http\Controllers\Backend\AcademicCategoryController;
use App\Http\Controllers\Backend\AcademicController;
use App\Http\Controllers\Backend\ChairmanController;
use App\Http\Controllers\Backend\DownloadCategoryController;
use App\Http\Controllers\Backend\DownloadController;
use App\Http\Controllers\Backend\EventController;
use App\Http\Controllers\Backend\FacilityController;
use App\Http\Controllers\Backend\FaqController;
use App\Http\Controllers\Backend\MetatagController;
use App\Http\Controllers\Backend\NewsController;
use App\Http\Controllers\Backend\OrganizationStructureController;
use App\Http\Controllers\Backend\NoticeController;
use App\Http\Controllers\Backend\QaaController;
use App\Http\Controllers\Backend\QcController;
use App\Http\Controllers\Backend\ServiceController;
use App\Http\Controllers\Backend\TeamController;
use App\Http\Controllers\Backend\TestimonialController;
use App\Http\Controllers\Frontend\BookController;
use App\Http\Controllers\Frontend\ContactController;
use App\Http\Controllers\Frontend\QcController as FrontendQcController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return redirect('login');
});

// AUTH ROUTES

Route::middleware('guest')->group(function () {
    // Route::get('register', [RegisteredUserController::class, 'create'])
    //             ->name('register');

    // Route::post('register', [RegisteredUserController::class, 'store']);

    Route::get('login', [AuthenticatedSessionController::class, 'create'])->name('login');

    Route::post('login', [AuthenticatedSessionController::class, 'store']);

    // Route::get('forgot-password', [PasswordResetLinkController::class, 'create'])
    //             ->name('password.request');

    // Route::post('forgot-password', [PasswordResetLinkController::class, 'store'])
    //             ->name('password.email');

    // Route::get('reset-password/{token}', [NewPasswordController::class, 'create'])
    //             ->name('password.reset');

    // Route::post('reset-password', [NewPasswordController::class, 'store'])
    //             ->name('password.store');
});



Route::name('frontend.')->group(function () {
    Route::get('/', [FrontendController::class, 'home'])->name('home');//done
    Route::get('/about-us', [FrontendController::class, 'about'])->name('about');//done
    Route::get('/words-from-chairman', [FrontendController::class, 'chairman'])->name('chairman');//done
    Route::get('/teams', [FrontendController::class, 'team'])->name('team');//done
    Route::get('/facilities-services', [FrontendController::class, 'facilities'])->name('facilities');//done
    Route::get('/facilities-services/{slug}',[FrontendController::class,'singlefacility'])->name('facility.single');//done
    Route::get('organization-structure', [FrontendController::class,'organization'])->name('organization.structure');//done

    Route::get('/academic-program/{slug}',[FrontendController::class,'academic'])->name('academic');//done
    Route::get('/download/',[FrontendController::class,'downloads'])->name('download');
    Route::get('/gallery',[FrontendController::class,'gallery'])->name('gallery');//done
    Route::get('/gallery/{slug}',[FrontendController::class,'singleGallery'])->name('gallery.single');//done
    Route::get('/news',[FrontendController::class,'newslist'])->name('news');//done
    Route::get('/news/{slug}',[FrontendController::class,'singleNews'])->name('news.single');//done
    Route::get('/news',[FrontendController::class,'newslist'])->name('news');
    Route::get('/contact',[FrontendController::class,'contact'])->name('contact');
    Route::get('/enroll',[FrontendController::class,'enroll'])->name('enroll');
    Route::get('/faq',[FrontendController::class,'faq'])->name('faq');
    Route::get('/events',[FrontendController::class,'events'])->name('events');
    Route::get('/events/{slug}',[FrontendController::class,'SingleEvent'])->name('events.single');
    Route::get('/notice',[FrontendController::class,'notice'])->name('notice');
    Route::get('/notice/{slug}',[FrontendController::class,'singleNotice'])->name('notice.single');
    Route::get('/qaa_data',[FrontendQcController::class,'login'])->name('qc.login');
    Route::post('/qaa_data',[FrontendQcController::class,'login_functionality'])->name('qc.login');
    Route::get('/qaa/{slug}',[FrontendController::class,'qaa'])->middleware('qc')->name('qaa');
    Route::post('/contact/store', [ContactController::class, 'store'])->name('contactstore');
    Route::post('/book/store', [BookController::class, 'store'])->name('bookstore');

    Route::post('/donwloadFile', [FrontendController::class, 'downloadFile'])->name('downloadFile');

});

Route::middleware('auth')->group(function () {
    Route::name('admin.')->group(function () {
        Route::prefix('admin')->group(function () {
            Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
            Route::resource('album', AlbumController::class);
            Route::resource('general-setting', GeneralSettingController::class);
            Route::resource('banner', BannerController::class);
            Route::resource('about-us', AboutUsController::class);
            Route::resource('chairman', ChairmanController::class);
            Route::resource('downloads', DownloadController::class);
            Route::resource('download-categories', DownloadCategoryController::class);
            Route::resource('academics', AcademicController::class);
            Route::resource('academic-categories', AcademicCategoryController::class);
            Route::resource('news', NewsController::class);
            Route::resource('qaa', QaaController::class);
            Route::resource('qc', QcController::class);
            Route::resource('organization-structure', OrganizationStructureController::class);

            Route::resource('teams', TeamController::class);
            Route::resource('events', EventController::class);
            Route::resource('notices', NoticeController::class);
            Route::resource('faqs', FaqController::class);
            Route::resource('testimonials', TestimonialController::class);
            Route::resource('facility', FacilityController::class);
            Route::resource('services', ServiceController::class);
            Route::resource('metatags', MetatagController::class);

            Route::prefix('contact')->name('contact.')->group(function () {
                Route::GET('/', [ContactController::class, 'index'])->name('index');
                Route::GET('/show/{id}', [ContactController::class, 'show'])->name('show');
                Route::DELETE('/{id}', [ContactController::class, 'destroy'])->name('destroy');
            });
            Route::prefix('book')->name('book.')->group(function () {
                Route::GET('/', [BookController::class, 'index'])->name('index');
                Route::GET('/show/{id}', [BookController::class, 'show'])->name('show');
                Route::DELETE('/{id}', [BookController::class, 'destroy'])->name('destroy');
            });
            Route::prefix('photo')->name('photo.')->group(function () {
                Route::GET('/{id}', [PhotoController::class, 'index'])->name('index');
                // Route::POST('/{id}', [PhotoController::class, 'store'])->name('store');
                Route::GET('/create/{id}', [PhotoController::class, 'create'])->name('create');
                Route::GET('/{photo}/edit/{id}', [PhotoController::class, 'edit'])->name('edit');
                Route::match(array('PUT', 'PATCH'),'/{photo}/{id}', [PhotoController::class, 'update'])->name('update');
                Route::DELETE('/{photo}', [PhotoController::class, 'destroy'])->name('destroy');
            });
        });
    });
    // Route::get('verify-email', EmailVerificationPromptController::class)
    //             ->name('verification.notice');

    // Route::get('verify-email/{id}/{hash}', VerifyEmailController::class)
    //             ->middleware(['signed', 'throttle:6,1'])
    //             ->name('verification.verify');

    // Route::post('email/verification-notification', [EmailVerificationNotificationController::class, 'store'])
    //             ->middleware('throttle:6,1')
    //             ->name('verification.send');

    Route::get('confirm-password', [ConfirmablePasswordController::class, 'show'])
                ->name('password.confirm');

    Route::post('confirm-password', [ConfirmablePasswordController::class, 'store']);

    Route::put('password', [PasswordController::class, 'update'])->name('password.update');

    Route::post('logout', [AuthenticatedSessionController::class, 'destroy'])
                ->name('logout');
});

