<?php $__env->startSection('content'); ?>
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>

        <div class="card mb-4">
            <div class="card-header"><strong>Faqs</strong><span class="small ms-1">List of Faqs</span>
                <a class="btn btn-primary btn-sm float-end" href="<?php echo e(route('admin.faqs.create')); ?>">
                    <svg class="icon me-2">
                        <use xlink:href="<?php echo e(asset('backend/icons/free.svg#cil-plus')); ?>"></use>
                    </svg><strong>Add</strong>
                </a>
            </div>
            <div class="card-body">
                <div class="example">
                    <div class="tab-content rounded-bottom">
                        <div class="p-3 preview">
                            <table class="table table-striped" id="dataTable">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Question</th>
                                        <th scope="col">Description</th>
                                        <th scope="col">Uploaded date</th>
                                        <th scope="col">Sort Order</th>
                                        <th scope="col">Active</th>
                                        <th scope="col"><span class="float-end">Action</span></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <th scope="row"><?php echo e(++$k); ?></th>
                                        <td><?php echo e($v->question); ?></td>
                                        <td><?php echo Str::words(strip_tags($v->description),20,'...'); ?></td>
                                        <td><?php echo e($v->created_at->format('Y-M-d')); ?></td>
                                        <td><?php echo e($v->sort_order); ?></td>
                                        <td><?php if(@$v->active): ?> Yes <?php else: ?> No <?php endif; ?></td>
                                        <td>
                                            <form action="<?php echo e(route('admin.faqs.destroy',$v->id)); ?>" method="Post">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button class="btn btn-danger btn-sm float-end" style="margin-right:2px;">
                                                    <svg class="icon">
                                                        <use xlink:href="<?php echo e(asset('backend/icons/free.svg#cil-trash')); ?>"></use>
                                                    </svg>
                                                </button>
                                            </form>
                                            <a class="btn btn-warning btn-sm float-end" style="margin-right:2px;" href="<?php echo e(route('admin.faqs.edit',$v->id)); ?>">
                                                <svg class="icon">
                                                    <use xlink:href="<?php echo e(asset('backend/icons/free.svg#cil-pencil')); ?>"></use>
                                                </svg>
                                            </a>
                                            <a class="btn btn-info btn-sm float-end" style="margin-right:2px;" href="<?php echo e(route('admin.faqs.show',$v->id)); ?>">
                                                <svg class="icon">
                                                    <use xlink:href="<?php echo e(asset('backend/icons/free.svg#cil-search')); ?>"></use>
                                                </svg>
                                            </a>


                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mrdsorg/public_html/gobardhan.edu.np/resources/views/backend/faqs/index.blade.php ENDPATH**/ ?>