@extends('frontend.layouts.master')

@section('content')

<div class="banner gmcs-banner">
    <section class="banner-sec">
        <img src="images/hero-2.jpg" class="img-fluid" alt="">
        <div class="container">
            <nav aria-label="breadcrumb" class="page-menu">
                <h2>News</h2>
                <ul class="breadcrumb">
                    <li><a href="{{route('frontend.home')}}">Home</a></li>
                    <li>News</li>
                </ul>
            </nav>
        </div>
    </section>
</div>
<div class="news-list gmcs-news-list">
    <div class="container">
        <section class="news-list-sec">
            <div class="entry-content">
                <div class="row g-5">
                    <div class="col-lg-8 news-list">
                        @foreach($newslist as $k=>$v)
                        <div class="row">
                            <div class="col-md-4">
                                <div class="post-image">
                                    <a href="{{route('frontend.news.single',$v->slug)}}">
                                        <img src="{{Storage::url(@$v->image)}}" class="img-fluid" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="post-brief">
                                    <h2><a href="{{route('frontend.news.single',$v->slug)}}">{{@$v->title}}</a></h2>
                                    <div class="post-meta">
                                        <ul>
                                            <li><i class="far fa-calendar"></i>{{date('d, F Y',strtotime($v->published_date))}}</li>
                                            <li><i class="fas fa-user"></i> {{@$v->author}}</li>
                                        </ul>
                                    </div>
                                    <p>{!!Str::words(strip_tags($v->description),20,'...')!!}</p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        {{-- <div class="row">
                            <div class="col-md-4">
                                <div class="post-image">
                                    <a href="#">
                                        <img src="images/news2.jpg" class="img-fluid" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="post-brief">
                                    <h2><a href="single-news.php">Parents Day Celebration 2023</a></h2>
                                    <div class="post-meta">
                                        <ul>
                                            <li><i class="far fa-calendar"></i> 4, September</li>
                                            <li><i class="fas fa-user"></i> Deepak Shrestha</li>
                                        </ul>
                                    </div>
                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                                        tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                                        quis nostrud exercitation ullamco</p>
                                </div>
                            </div>
                        </div> --}}
                        {{-- <div class="pagination-count">
                            <div class="col-lg-12">
                                <nav aria-label="Page navigation">
                                    <ul class="pagination align-items-center  mt-5">
                                        <li class="page-item"><a class="page-link " href="#"><i
                                                    class="fas fa-angle-left"></i>
                                                Previous</a></li>
                                        <li class="page-item"><a class="page-link active" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="pagination-dot">...</li>
                                        <li class="page-item"><a class="page-link" href="#">10</a></li>
                                        <li class="page-item"><a class="page-link" href="#">Next <i
                                                    class="fas fa-angle-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div> --}}
                    </div>
                    {{-- <div class="col-lg-4">
                        <div class="recent-blog-list">
                            <h3>Recent Blogs</h3>
                            <ul>
                                <li>
                                    <div class="post-image">
                                        <img src="images/news3.jpg" class="img-fluid" alt="">
                                    </div>
                                    <div class="post-title">
                                        <h2><a href="#">Tour 2023</a></h2>
                                        <span><i class="far fa-calendar"></i> 4, September</span>
                                    </div>
                                </li>
                                <li>
                                    <div class="post-image">
                                        <img src="images/news3.jpg" class="img-fluid" alt="">
                                    </div>
                                    <div class="post-title">
                                        <h2><a href="#">Tour 2023</a></h2>
                                        <span><i class="far fa-calendar"></i> 4, September</span>
                                    </div>
                                </li>
                                <li>
                                    <div class="post-image">
                                        <img src="images/news3.jpg" class="img-fluid" alt="">
                                    </div>
                                    <div class="post-title">
                                        <h2><a href="#">Tour 2023</a></h2>
                                        <span><i class="far fa-calendar"></i> 4, September</span>
                                    </div>
                                </li>
                                <li>
                                    <div class="post-image">
                                        <img src="images/news3.jpg" class="img-fluid" alt="">
                                    </div>
                                    <div class="post-title">
                                        <h2><a href="#">Tour 2023</a></h2>
                                        <span><i class="far fa-calendar"></i> 4, September</span>
                                    </div>
                                </li>

                            </ul>
                        </div>
                    </div> --}}

                </div>
            </div>
        </section>
    </div>
</div>
@endsection